Subject: Re: [Tsvwg] Re: SCTP and IP Frag aliasing on LFNs

From: [email-masked]
Date: Fri, 1 Mar 2002 23:06:23 EST

You seem to be saying that SCTP aware routers could peel messages off the end 
of the first packet until it fit the local outgoing MTU or contained just 1 
message, at which point it must check DF and fragment or discard returning an 
ICMP 3-4, like UDP packets (which are implicitly one atomic message).  Peeled 
off messages would then be loaded into subsequent packets by the same process 
-- a sort of gratuitous disassembly-reassembly.  Not that it goes into SCTP 
spec., or went into the TCP spec., but hey, the router developers have to 
work at showing their worth by creating differentiated monopoly (". . . no 
router but ours has . . . .").

And as long as there are multiple popular MTUs out there, there will be a 
good chance of MTU variation on the path.  In practice, the PMTU usually 
stays put.  I'd love to find test results on the relative value of PMTU's 
"least common denominator" performance compared to a smart router 
resegmenting a stream.